package com.cirs.biz.mapper;

import java.util.List;
import com.cirs.biz.domain.TVerificationTaskDetail;
import com.cirs.biz.domain.VerificationData;
import org.apache.ibatis.annotations.Param;

/**
 * 验证任务详情Mapper接口
 * 
 * @author allen
 * @date 2023-11-03
 */
public interface TVerificationTaskDetailMapper 
{
    /**
     * 查询验证任务详情
     * 
     * @param id 验证任务详情主键
     * @return 验证任务详情
     */
    public TVerificationTaskDetail selectTVerificationTaskDetailById(Long id);

    /**
     * 查询验证任务详情列表
     * 
     * @param tVerificationTaskDetail 验证任务详情
     * @return 验证任务详情集合
     */
    public List<TVerificationTaskDetail> selectTVerificationTaskDetailList(TVerificationTaskDetail tVerificationTaskDetail);

    /**
     * 新增验证任务详情
     * 
     * @param tVerificationTaskDetail 验证任务详情
     * @return 结果
     */
    public int insertTVerificationTaskDetail(TVerificationTaskDetail tVerificationTaskDetail);

    /**
     * 修改验证任务详情
     * 
     * @param tVerificationTaskDetail 验证任务详情
     * @return 结果
     */
    public int updateTVerificationTaskDetail(TVerificationTaskDetail tVerificationTaskDetail);

    /**
     * 删除验证任务详情
     * 
     * @param id 验证任务详情主键
     * @return 结果
     */
    public int deleteTVerificationTaskDetailById(Long id);

    /**
     * 批量删除验证任务详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTVerificationTaskDetailByIds(Long[] ids);

    public List<TVerificationTaskDetail> selectTVerificationTaskDetailByTaskIds(@Param("taskids") List<Long> taskids);

    public List<TVerificationTaskDetail> alldata(Long taskid);


    public Long getComponentId(@Param("attr")String attr, @Param("attr1")String attr1, @Param("attr2")String attr2);

    public List<VerificationData> getComponentids(Long taskid);
}
